Subject: Re : Re: Re : Re: [EDUC]Mémoire étudiant : Logiciel Libre et enseignement supérieur
From: [email-masked]
To: Michel Briand <[email-masked]>
Cc: [email-masked]
Date: Wed, 7 Mar 2012 14:49:32 +0100 (CET)
List-Id: <educ.april.org>

----- Briand Michel <[email-masked]> a écrit :
> Bonjour
> 
> Je n'ai surement pas été assez précis
> 
> J'esaie de reformule les deux questions :
> 
> En projet à l'école les élèves avec un statut étudiant développent à 
> l'école du code sur un projet avec deux encadrants écoles (de deux 
> départements différents) et un référent entreprise "client".
> Le sujet est liée à un problème qui intéresse  l'entreprise
> Est ce que nous pouvons proposer que le code soit mis en GPL par les 
> étudiants compte tenu de ce co-encadrement
> il s'agit bien du code et non du droit d'auteur sur une  oeuvre.

Michel,

On ne peut pas séparer la mise du code sous GPL et la question
juridique du droit d'auteur. L'un découle de l'autre.

Si l'on s'en tient au droit d'auteur, condition nécessaire à
la mise sous GPL, ce n'est pas une question de co-encadrement mais,
comme j'ai essayé de le dire dans mon post précédent du
"matériel de conception préparatoire" qui incluent "le le dossier 
d'analyse et les schémas décrivant les traitements à effectuer".

De ce fait, le droit patrimonial appartient à celui qui a pris
l'initiative de le créer et de le réaliser et pas forcément à
celui qui code qui ne peut faire valoir que ses droits moraux.

Il me semble donc nécessaire d'établir préalablement un contrat
(qui peut être très court) entre les deux parties à l'initiative du 
"matériel de conception préparatoire" pour qu'avec l'accord du
stagiaire et/ou de l'étudiant, le logiciel soit placé sous GNU GPL.

Cela étant dit, si pour le développement il y a utilisation
de briques logicielles libres déjà existantes, le problème ne se pose même 
plus : c'est la GPL. 

De plus, cela peut être des plus pédagogiques de demander à l'étudiant
et/ou au stagiaire avant de refaire le monde de A à Z, de rechercher
l'existant, de partir de l'état de l'art. 
Le problème se pose en revanche si c'est une création nouvelle.
Par exemple l'Ecole centrale de Paris à l'initiative de VLC a placé
le projet sous GNU GPL et l'April à l'époque avait envoyé une lettre
de remerciement au Directeur de l'Ecole centrale de Paris.

> Et un prolongement de cette question concerne les apprentis qui sont 
> des  salariés de l'entreprise payés par l'entreprise (avec un complément 
> d'état) sur un salaire identique partout en France et qui dépend de 
> l'age et non du diplôme.
> L'étudiant-apprenti est-il propriétaire du code qu'il développe sur un 
> projet durant la partie alternance qui se déroule à l'écol ?

S'il est entièrement l'auteur de son projet, là Didier a raison.

> > Un stagiaire qui est en situation de stage s'il est dans le cadre d'un 
> > formation (les fameux plans d'aide au replacement ou de promotion 
> > sociale) n'est pas lié intellectuellement à son entreprise pendant les 
> > temps de sa formation puisque ses revenus sont "en principe " reversés 
> > par les organismes des fonds d'aide à la formation.
> > Sinon comment font les stagiaires s'il doivent aller dans une autre 
> > entreprise ? Ils seraient par exemple encore liés au secret 
> > professionnel ?
> >
> > Ou alors s'agit il d'une formation  interne commandée par la dite 
> > entrepris et le problème ne s'est pas posé puisqu'il sont formés au 
> > sein de l'entreprise.
> >
> > Didier Michon

Amicalement,
Charlie

PS : repose toi bien.
--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ